GET /v0/ans-entries
curl --request GET \
--url https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entriesimport requests
url = "https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://scan.sv-1.global.canton.network.sync.global/api/scan/v0/ans-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"user": "<string>",
"name": "<string>",
"url": "<string>",
"description": "<string>",
"contract_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
]
}GET /v0/ans-entries
Lists all non-expired ANS entries whose names are prefixed with the
name_prefix, up to page_size entries.
GET
/
v0
/
ans-entries
GET /v0/ans-entries
Query Parameters
Every result's name will start with this substring; if empty or absent, all entries will be listed. Does not have to be a whole word or segment; any substring will be accepted.
The maximum number of results returned. Older (but still non-expired) results are listed first.
Response
200 - application/json
ok
Show child attributes
Show child attributes
⌘I